GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
gdcm::Pixmap Class Reference

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP) More...

`#include <gdcmPixmap.h>`

Inheritance diagram for gdcm::Pixmap:
[legend]
Collaboration diagram for gdcm::Pixmap:
[legend]

List of all members.

## Public Member Functions

| Pixmap ()
| ~Pixmap ()
bool | AreOverlaysInPixelData () const
| returns if Overlays are stored in the unused bit of the pixel data:
Curve & | GetCurve (unsigned int i=0)
| Curve: group 50xx.
const Curve & | GetCurve (unsigned int i=0) const
const IconImage & | GetIconImage () const
| Set/Get Icon Image.
IconImage & | GetIconImage ()
size_t | GetNumberOfCurves () const
size_t | GetNumberOfOverlays () const
Overlay & | GetOverlay (size_t i=0)
| Overlay: group 60xx.
const Overlay & | GetOverlay (size_t i=0) const
void | Print (std::ostream &) const
void | RemoveOverlay (size_t i)
void | SetIconImage (IconImage const &ii)
void | SetNumberOfCurves (size_t n)
void | SetNumberOfOverlays (size_t n)

## Protected Attributes

std::vector< Curve > | Curves
SmartPointer< IconImage > | Icon
std::vector< Overlay > | Overlays

## Detailed Description

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP)

See also:
  PixmapReader

## Constructor & Destructor Documentation

gdcm::Pixmap::Pixmap | ( |  | ) |

gdcm::Pixmap::~Pixmap | ( |  | ) |

## Member Function Documentation

bool gdcm::Pixmap::AreOverlaysInPixelData | ( |  | ) | const`[virtual]`

returns if Overlays are stored in the unused bit of the pixel data:

Reimplemented from gdcm::Bitmap.

Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) | `[inline]`

Curve: group 50xx.

const Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) | const`[inline]`

const IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) | const`[inline]`

Set/Get Icon Image.

IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) | `[inline]`

size_t gdcm::Pixmap::GetNumberOfCurves | ( |  | ) | const`[inline]`

size_t gdcm::Pixmap::GetNumberOfOverlays | ( |  | ) | const`[inline]`

Overlay& gdcm::Pixmap::GetOverlay | ( | size_t | i = `0` | ) | `[inline]`

Overlay: group 60xx.

const Overlay& gdcm::Pixmap::GetOverlay | ( | size_t | i = `0` | ) | const`[inline]`

void gdcm::Pixmap::Print | ( | std::ostream & |  | ) | const`[virtual]`

Reimplemented from gdcm::Bitmap.

Reimplemented in gdcm::Image.

void gdcm::Pixmap::RemoveOverlay | ( | size_t | i | ) | `[inline]`

void gdcm::Pixmap::SetIconImage | ( | IconImage const & | ii | ) | `[inline]`

void gdcm::Pixmap::SetNumberOfCurves | ( | size_t | n | ) | `[inline]`

void gdcm::Pixmap::SetNumberOfOverlays | ( | size_t | n | ) | `[inline]`

## Member Data Documentation

std::vector<Curve> gdcm::Pixmap::Curves`[protected]`

SmartPointer<IconImage> gdcm::Pixmap::Icon`[protected]`

std::vector<Overlay> gdcm::Pixmap::Overlays`[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmap.h